> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/respostas.md).

# Respostas

### Entidade de Resposta do Escrow

```typescript
import { Date, EscrowType, Status } from "./types";
import {
  Flags,
  MultiReleaseEscrow,
  MultiReleaseMilestone,
  Roles,
  SingleReleaseEscrow,
  SingleReleaseMilestone,
  Trustline,
} from "./types.entity";

/**
 * Resposta do Escrow como fund, release, change, etc ...
 */
export type EscrowRequestResponse = {
  /**
   * Status da solicitação
   */
  status: Status;

  /**
   * Transação não assinada
   */
  unsignedTransaction?: string;
};

/**
 * Resposta de Envio de Transação
 */
export type SendTransactionResponse = {
  /**
   * Status da solicitação
   */
  status: Status;

  /**
   * Mensagem da solicitação
   */
  message: string;
};

/**
 * Resposta de Inicialização do Escrow
 */
export type InitializeSingleReleaseEscrowResponse = EscrowRequestResponse & {
  /**
   * ID (endereço) que identifica o contrato escrow
   */
  contractId: string;

  /**
   * Dados do Escrow
   */
  escrow: SingleReleaseEscrow;

  /**
   * Mensagem da solicitação
   */
  message: string;
};

/**
 * Resposta de Inicialização de Escrow com Múltiplos Releases
 */
export type InitializeMultiReleaseEscrowResponse =
  InitializeSingleReleaseEscrowResponse & {
    /**
     * Dados do Escrow
     */
    escrow: MultiReleaseEscrow;
  };

/**
 * Resposta de Atualização do Escrow
 */
export type UpdateSingleReleaseEscrowResponse =
  InitializeSingleReleaseEscrowResponse;

/**
 * Resposta de Atualização de Escrow com Múltiplos Releases
 */
export type UpdateMultiReleaseEscrowResponse =
  InitializeMultiReleaseEscrowResponse;

/**
 * Resposta para Obter Saldos
 */
export type GetEscrowBalancesResponse = {
  /**
   * Endereço do escrow
   */
  address: string;

  /**
   * Saldo do escrow
   */
  balance: number;
};

/**
 * Resposta para Obter Escrows do Indexador
 */
export type GetEscrowsFromIndexerResponse = {
  signer?: string;
  contractId?: string;
  engagementId: string;
  title: string;
  roles: Roles;
  description: string;
  amount: number;
  platformFee: number;
  balance?: number;
  milestones:
    | SingleReleaseMilestone[]
    | (MultiReleaseMilestone[] & { disputeStartedBy: Roles });
  flags?: Flags;
  trustline: Trustline & { name: string };
  receiverMemo?: number;
  disputeStartedBy?: string;
  fundedBy?: string;
  isActive?: boolean;
  approverFunds?: string;
  receiverFunds?: string;
  user: string;
  createdAt: Date;
  updatedAt: Date;
  type: EscrowType;
};

/**
 * Resposta para atualizar escrow a partir do hash da transação
 */
export type UpdateFromTxHashResponse = {
  /**
   * Status da solicitação
   */
  status: "SUCCESS" | "FAILED";

  /**
   * Mensagem descrevendo o resultado
   */
  message: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/respostas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
